View Issue Details

IDProjectCategoryView StatusLast Update
0023499mantisbtfilterspublic2018-03-31 19:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023499: Filtering with "note by" shows results from private notes for unprivileged users
Description

If user A who can't see private notes, searches with filter "note by" user B, and an issue has one private note by user B, the issue is returned even when user A can't see that private note.

TagsNo tags attached.

Relationships

related to 0023500 closedcproensa Search filter returns matches in private notes for unprivileged users 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 5047def9

2017-10-19 18:24:17

cproensa


Committer: dregad Details Diff
Use private note access in filter query

Match private bugnotes only when the user have access to view them

Fixes: 0023499
Affected Issues
0023499
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2017-10-19 12:55 cproensa New Issue
2017-10-19 12:59 cproensa Relationship added related to 0023500
2017-10-19 20:20 cproensa Assigned To => cproensa
2017-10-19 20:20 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master 5047def9
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed